Skip to main content
POST
/
job
/
{jobId}
/
secret
/
{secretId}
/
alias
Create a secret alias at the job level
curl --request POST \
  --url https://api.qovery.com/job/{jobId}/secret/{secretId}/alias \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "description": "<string>",
  "enable_interpolation_in_file": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "key": "<string>",
  "scope": "APPLICATION",
  "updated_at": "2023-11-07T05:31:56Z",
  "overridden_secret": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "<string>",
    "mount_path": "<string>",
    "scope": "APPLICATION",
    "variable_type": "VALUE",
    "description": "<string>",
    "enable_interpolation_in_file": true
  },
  "aliased_secret": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "QOVERY_DATABASE_PSQL_NAME",
    "mount_path": "<string>",
    "scope": "APPLICATION",
    "variable_type": "VALUE",
    "description": "<string>",
    "enable_interpolation_in_file": true
  },
  "variable_type": "VALUE",
  "service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "service_name": "<string>",
  "service_type": "APPLICATION",
  "owned_by": "<string>",
  "description": "<string>",
  "enable_interpolation_in_file": true
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

jobId
string<uuid>
required

Job ID

secretId
string<uuid>
required

Secret ID

Body

application/json
key
string
required
description
string | null

optional variable description (255 characters maximum)

Maximum string length: 255
enable_interpolation_in_file
boolean | null

Response

Create secret alias

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
key
string
required

key is case sensitive

scope
enum<string>
required
Available options:
APPLICATION,
BUILT_IN,
ENVIRONMENT,
PROJECT,
CONTAINER,
JOB,
HELM,
TERRAFORM
updated_at
string<date-time>
read-only
overridden_secret
object
aliased_secret
object
variable_type
enum<string>

type of the environment variable (VALUE, FILE, ALIAS, OVERRIDE or BUIT_IN)

Available options:
VALUE,
ALIAS,
OVERRIDE,
BUILT_IN,
FILE
service_id
string<uuid>
service_name
string
service_type
enum<string>

type of the service (application, database, job, gateway...)

Available options:
APPLICATION,
CONTAINER,
DATABASE,
JOB,
HELM,
TERRAFORM
owned_by
string

Entity that created/own the variable (i.e: Qovery, Doppler)

description
string | null

optional variable description (255 characters maximum)

Maximum string length: 255
enable_interpolation_in_file
boolean | null